CheckBoxDecorator (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.taglib.display.CheckBoxDecorator class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.taglib.display
Class CheckBoxDecorator

    java.lang.Object
      org.hyperic.hq.ui.taglib.display.Decorator
          org.hyperic.hq.ui.taglib.display.ColumnDecorator
              org.hyperic.hq.ui.taglib.display.CheckBoxDecorator

All Implemented Interfaces:
  java.lang.Cloneable, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  AlertCheckBoxDecorator

    public class CheckBoxDecorator

extends ColumnDecorator
implements javax.servlet.jsp.tagext.Tag

This class is a two in one decorator/tag for use within the display:table tag, it is a ColumnDecorator tag that that creates a column of checkboxes.

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`CheckBoxDecorator()`

Method Summary
`java.lang.String` | `decorate(java.lang.Object obj)`
`int` | `doEndTag()`
`int` | `doStartTag()`
`java.lang.String` | `getElementId()`
`java.lang.String` | `getLabel()`
`java.lang.String` | `getName()`
`java.lang.String` | `getOnclick()`
`javax.servlet.jsp.tagext.Tag` | `getParent()`
`java.lang.String` | `getStyleClass()`
`java.lang.String` | `getSuppress()`
`java.lang.String` | `getValue()` Getter for property value.
`void` | `release()`
`void` | `setElementId(java.lang.String id)`
`void` | `setLabel(java.lang.String label)`
`void` | `setName(java.lang.String n)`
`void` | `setOnclick(java.lang.String o)`
`void` | `setPageContext(javax.servlet.jsp.PageContext pc)`
`void` | `setParent(javax.servlet.jsp.tagext.Tag t)`
`void` | `setStyleClass(java.lang.String c)`
`void` | `setSuppress(java.lang.String o)`
`void` | `setValue(java.lang.String value)` Setter for property value.

Methods inherited from class org.hyperic.hq.ui.taglib.display.Decorator
`finish, finishRow, getList, getListIndex, getObject, getPageContext, getViewIndex, init, initRow`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CheckBoxDecorator

    public CheckBoxDecorator()

Method Detail

### getStyleClass

    public java.lang.String getStyleClass()

### setStyleClass

    public void setStyleClass(java.lang.String c)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String n)

### getOnclick

    public java.lang.String getOnclick()

### setOnclick

    public void setOnclick(java.lang.String o)

### getSuppress

    public java.lang.String getSuppress()

### setSuppress

    public void setSuppress(java.lang.String o)

### getLabel

    public java.lang.String getLabel()

### setLabel

    public void setLabel(java.lang.String label)

### getElementId

    public java.lang.String getElementId()

### setElementId

    public void setElementId(java.lang.String id)

### decorate

    public java.lang.String decorate(java.lang.Object obj)

  Specified by:
    `decorate` in class `ColumnDecorator`

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Throws:
    `javax.servlet.jsp.JspException`

### doEndTag

    public int doEndTag()

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`

### getParent

    public javax.servlet.jsp.tagext.Tag getParent()

  Specified by:
    `getParent` in interface `javax.servlet.jsp.tagext.Tag`

### setParent

    public void setParent(javax.servlet.jsp.tagext.Tag t)

  Specified by:
    `setParent` in interface `javax.servlet.jsp.tagext.Tag`

### setPageContext

    public void setPageContext(javax.servlet.jsp.PageContext pc)

  Specified by:
    `setPageContext` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `setPageContext` in class `Decorator`

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `Decorator`

### getValue

    public java.lang.String getValue()

  Getter for property value.

  Returns:
    Value of property value.

### setValue

    public void setValue(java.lang.String value)

  Setter for property value.

  Parameters:
    `value` - New value of property value.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.